Bug 59809 - --with-nghttp2=dir looks in .../lib instead of .../lib64
Summary: --with-nghttp2=dir looks in .../lib instead of .../lib64
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Build (show other bugs)
Version: 2.4.23
Hardware: All Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk, PatchAvailable
Depends on:
Blocks:
 
Reported: 2016-07-06 12:32 UTC by Friedrich Haubensak
Modified: 2020-01-04 09:16 UTC (History)
1 user (show)



Attachments
Added a check for 64bit linux. (8.47 KB, text/plain)
2019-12-28 13:17 UTC, aayushmanchaudhory
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Friedrich Haubensak 2016-07-06 12:32:30 UTC
when doing "./configure ... --with-nghttp2=/some/directory ...", 
configure, to find nghttp2's build paramaters, sets PKG_CONFIG_PATH to /some/directory/lib/pkgconfig, which is wrong for e.g. a 64bit linux system as this has it's .pc files in .../lib64/pkgconfig (and installs libraries to .../lib64).  in the end, the generated build files are missing the neccessary 
-L/some/directory/lib64.

modules/http2/config2.m4 should be fixed so not to use unconditionally 
"${ap_nghttp2_base}/lib/pkgconfig/libnghttp2.pc"

btw., same problem is in acinclude.m4 in the code for --with-ssl
Comment 1 aayushmanchaudhory 2019-12-28 13:17:38 UTC
Created attachment 36934 [details]
Added a check for 64bit linux.

If /modules/http2/config2.m4 is replaced with the patch I attached, the bug will be fixed.
Comment 2 Ruediger Pluem 2020-01-03 11:26:19 UTC
This is fixed in trunk with r1799341 and in 2.4.x with r1812393 which is included in 2.4.29 and up.